Copyright: Created with EasyHelp (Tel: 0973 209667)


SignalP/Max & Min - RG354642

Description

This function block accepts a single input and produces two outputs:  the maximum output records the highest value since the function block was reset and  the minimum output records the lowest value since the function block was reset.  Both outputs are sent whenever an input is received. The reset input is positive-edge sensitive and sets both the minimum and maximum outputs to the last input.

Parameters

Input	Sets Minimum and Maximum.  Expects a value (-100 to +100%).

Reset	Reset input for the block.  Expects true or false.

Get Input	Returns Input value:  -100 to +100%.

Get Minimum	Returns Minimum value:  -100 to +100%.

Get Maximum	Returns Maximum value:  -100 to +100%.

Get Reset	Returns Reset value: true or false.


Description

This function block accepts a single input and produces two outputs:  the maximum output records the highest value since the function block was reset and  the minimum output records the lowest value since the function block was reset.  Both outputs are sent whenever an input is received. The reset input is positive-edge sensitive and sets both the minimum and maximum outputs to the last input.


Parameters

Input	Sets Minimum and Maximum.  Expects a value (-100 to +100%).

Reset	Reset input for the block.  Expects true or false.

Get Input	Returns Input value:  -100 to +100%.

Get Minimum	Returns Minimum value:  -100 to +100%.

Get Maximum	Returns Maximum value:  -100 to +100%.

Get Reset	Returns Reset value: true or false.